#delimit ;
** Calculates the age of respondents in any given week **;
** Christine Neill, July 2003 **;


* Identify a date with every week number - keep only if week appears in dataset *;
	sort week;
	merge (week) using "My Statistics\_weektoday.dta";
	tab _merge;
	keep if _merge == 3;
	drop _merge;

* Identify age of every individual in dataset *;
	sort ID;
	qui merge (ID) using "My Statistics\_respondent.dta";
	drop wks75 wks76 wks77 hrs75 hrs76 hrs77;
	tab _merge;
	keep if _merge==3;
	drop _merge;



* Create age of individual as of first day of each week in the dataset *;
	gen neg = 1 if m-rbm<0;
	replace neg = 0 if m-rbm>=0;
	gen age = y - rby - neg;


* Drop superfluous data *;
	drop neg d m rbm rby;

compress;


