#delimit ;
set more off;

cd "E:\RA\NLSY\FINAL_FILES\";

tempfile tempa;

do "rename\rename_NLSY_Children.do";

keep IDC ID cdobm cdoby border WOBC ageatbirth;

**** Assign a week to each child born before 1978;

** 1.  Flag for assigned WOBC;
gen pre78 = 0 if WOBC>=1;
replace pre78 = 1 if pre78~=0;
label var pre78 "Flag for created week of birth";

*** Check that this lines up with the information on doby;
gen check = 1 if cdoby<=1978;
replace check = 0 if check ~=1;
gen a = pre78-check;
tab a;
drop a check;
*********************************************************;
** 2.  Merge with file to assign a week to each month;
**      Have chosen the week containing the 15th day of the month;

rename cdobm m;
rename cdoby y;
sort m y;
merge (m y) using "My Statistics\_monthtoweek.dta";
tab _merge;
keep if _merge==3;
drop _merge;

rename week WOBC2;
replace WOBC = WOBC2 if pre78==1;

drop WOBC2;
rename m cdobm;
rename y cdoby;

sort ID IDC;
save "My Statistics\_childinfo.dta", replace;

********************************************************;
** Now create the file "childagewk";
** God only recalls why I really need this, but lets just do it;

** Need childbirthdateswide.dta first;
keep ID IDC WOBC;

gen CN = IDC - ID*100;
reshape i ID;
reshape j CN;
reshape xij WOBC IDC;
reshape wide;

gen anykids=1;

sort ID;
save "My Statistics\childbirthdateswide.dta", replace;
keep ID anykids;
save `tempa';

** Also need womenwithkids;
use "_weeklyfile2_women.dta", clear;
keep ID week;
sort ID;

merge  (ID) using `tempa';
tab _merge;
tab anykids;
drop _merge;
rename anykids everk;

keep if everk==1;
sort ID week;
save "My Statistics\womenwithkids.dta", replace;

clear;

do "Do\childagewk.do";

*********************************************************;
clear;

use "My Statistics\childagewk.dta", clear;
drop if ID==0;

* Number of children ever had (includes now grownups);
gen kk = 1 if cagewk>=0;
egen nkborn = sum(kk), by(ID week);
drop kk;

egen ageyownk = min(cagewk) if cagewk>=0, by(ID week);
egen ayk = min(ageyownk), by(ID week);
drop ageyownk;
rename ayk ageyownk;
compress;

gen u18 = 1 if cagewk<=936 & cagewk>=0;
gen u6 = 1 if cagewk<=312 & cagewk>=0;
egen nku18 = sum(u18), by(ID week);
egen nku6 = sum(u6), by(ID week);

drop u18 u6;


collapse (max) nkborn ageyownk nku18 nku6, by(ID week);
gen everk=1;
label var everk "Woman has had/will have a child";
label var nkborn "Number of children ever born, by week";
label var ageyownk "Age of youngest own child, weeks";
label var nku18 "Number of children under 18";
label var nku6 "Number of children under 6";
compress;

sort ID week;
save "My Statistics\womenwithkids.dta", replace;
