#delimit ;
set more off;
set mem 200000;
cap log close;


** Change directory as necessary;

cd "E:\RA\NLSY\FINAL_FILES\";

****************************************************************
**  Creates _annualfile.dta from NLSY tagsets.                **
**  Data is observed for each individual once per interview.  **
**  Have got one variable per tagset in most cases.           **
**                                                            **
**             Christine Neill, Feb 2005                      **
**                  christine.neill@utoronto.ca               **
****************************************************************;



infile using "Tagsets\age_at_int.DCT", clear;   

do "rename\rename_age_at_int.do";

sort ID year;
save "_annualfile.dta", replace;

clear;

infile using "Tagsets\date_of_int.dct", clear  ; 
do "rename\rename_date_of_int.do";

sort ID year;
merge (ID year) using "_annualfile.dta";
tab _merge;
drop _merge;
sort ID year;
save "_annualfile.dta", replace;

infile using "Tagsets\marstat1.dct", clear   ;
do "rename\rename_marstat1.do";

sort ID year;
merge (ID year) using "_annualfile.dta";
tab _merge;
drop _merge;
sort ID year;
save _annualfile.dta, replace;


infile using "Tagsets\weights.dct", clear   ;
do "rename\rename_weights.do";

sort ID year;
merge (ID year) using _annualfile.dta;
tab _merge;
drop _merge;
sort ID year;
save _annualfile.dta, replace;


infile using "Tagsets\nonint.dct", clear   ;
do "rename\rename_nonint.do";

sort ID year;
merge (ID year) using _annualfile.dta;
tab _merge;
drop _merge;
sort ID year;


label var year "Round of interview";
label var marstat "Marital status at date of interview";

replace NI = 0 if year==1979;

sort ID year;
save "\My Statistics\_annualfile.dta", replace;


