#delimit ;
set more off;
cap log close;


cd "E:\RA\NLSY\FINAL_FILES\";

log using "Logs\_job_matching.log", replace; 

do "rename\rename_jobmatching.do";

**
*save  "My Statistics\jobnumbers.dta", replace
**;

reshape i ID;
reshape j year;
reshape xi SAMP;
reshape xij JOB1 JOB2 JOB3 JOB4 JOB5 PJOB1 PJOB2 PJOB3 PJOB4 PJOB5;
reshape long;

sort ID year;

merge (ID year) using "My Statistics\_annualfile.dta";

tab _merge;
drop _merge;

** Drop all rounds where individual was not interviewed;
drop if NI==1;

gen JN1 = 0;
gen JN2 = 0;
gen JN3 = 0;
gen JN4 = 0;
gen JN5 = 0;

replace JN1 = JOB1 if year==1979;
replace JN2 = JOB2 if year==1979;
replace JN3 = JOB3 if year==1979;
replace JN4 = JOB4 if year==1979;
replace JN5 = JOB5 if year==1979;

local i = 1980;


while `i'<=2000{;
	if year==1995|year==1997|year==1999{;
			local i = `i'+1;
	};
	di `i';
	local j=1;
	while `j'<=5{;
		replace JN1 = JN`j'[_n-1] if PJOB1 == `j' & year==`i';
		replace JN2 = JN`j'[_n-1] if PJOB2 == `j' & year==`i';
		replace JN3 = JN`j'[_n-1] if PJOB3 == `j' & year==`i';
		replace JN4 = JN`j'[_n-1] if PJOB4 == `j' & year==`i';
		replace JN5 = JN`j'[_n-1] if PJOB5 == `j' & year==`i';
		local j=`j'+1;
	};

	replace JN1 = JOB1 if PJOB1 <0 & year==`i';
	replace JN2 = JOB2 if PJOB2 <0 & year==`i';
	replace JN3 = JOB3 if PJOB3 <0 & year==`i';
	replace JN4 = JOB4 if PJOB4 <0 & year==`i';
	replace JN5 = JOB5 if PJOB5 <0 & year==`i';


	local i = `i'+1;
};

label var JN1 "Permanent job number, Job1";
label var JOB1 "Annual job number, Job1";
label var PJOB1 "Job at previous interview, Job1";

sort ID year;

save "My Statistics\job_matching.dta", replace;


